class UsersController < ApplicationController

  # GET /users
  def index
    @users = User.all
  end

  # GET /users/1
  def show
    @user = User.find(params[:id])
  end

  # GET /users/new
  def new
    @user = User.new
  end

  # GET /users/1/edit
  def edit
    @user = User.find(params[:id])
  end

  # POST /users
  def create
    @user = User.new(params[:user])

    if @user.save
      if params[:user][:avatar].present?
        render :action => 'crop'
      else
        flash[:notice] = 'User was successfully created.'
        redirect_to(@user)
      end
    else
      render :action => "new"
    end
  end

  # PUT /users/1
  def update
    @user = User.find(params[:id])

    if @user.update_attributes(params[:user])
      if params[:user][:avatar].present?
        render :action => 'crop'
      else
        flash[:notice] = 'User was successfully updated.'
        redirect_to(@user)
      end
    else
      render :action => "edit"
    end
  end

  # DELETE /users/1
  def destroy
    @user = User.find(params[:id])
    @user.destroy

    redirect_to(users_url)
  end

  # GET /users/1/crop
  def crop
    @user = User.find(params[:id])
  end

end
